Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mortbay.jetty.plus.webapp
Class AbstractConfiguration

    java.lang.Object
      org.mortbay.jetty.webapp.WebXmlConfiguration
          org.mortbay.jetty.plus.webapp.AbstractConfiguration

All Implemented Interfaces:
  java.io.Serializable, Configuration

Direct Known Subclasses:
  Configuration

    public abstract class AbstractConfiguration

extends WebXmlConfiguration

Configuration

See Also:
  Serialized Form

Field Summary
`protected LifeCycleCallbackCollection` | `_callbacks`
`protected InjectionCollection` | `_injections`
`protected RunAsCollection` | `_runAsCollection`

Fields inherited from class org.mortbay.jetty.webapp.WebXmlConfiguration
`_constraintMappings, _context, _defaultWelcomeFileList, _errorPages, _filterMappings, _filters, _hasJSP, _jspServletClass, _jspServletName, _listeners, _servletHandler, _servletMappings, _servlets, _version, _welcomeFiles, _xmlParser`

Constructor Summary
`AbstractConfiguration()`

Method Summary
`abstract void` | `bindEnvEntry(java.lang.String name, java.lang.Object value)`
`abstract void` | `bindMessageDestinationRef(java.lang.String name, java.lang.Class type)`
`abstract void` | `bindResourceEnvRef(java.lang.String name, java.lang.Class type)`
`abstract void` | `bindResourceRef(java.lang.String name, java.lang.Class type)`
`abstract void` | `bindUserTransaction()`
`protected void` | `callPreDestroyCallbacks()`
`void` | `configure(java.lang.String webXml)`
`void` | `configureDefaults()` Configure Defaults.
`void` | `configureWebApp()` Configure WebApp.
`void` | `deconfigureWebApp()` DeConfigure WebApp.
`protected void` | `initEnvEntry(XmlParser.Node node)` JavaEE 5.4.1.3
`protected void` | `initialize(XmlParser.Node config)`
`protected void` | `initInjection(XmlParser.Node node, java.lang.String jndiName, java.lang.Class valueClass)` Iterate over the <injection-target> entries for a node
`protected void` | `initMessageDestinationRef(XmlParser.Node node)` Common Annotations Spec section 2.3: message-destination-ref is for: - javax.jms.Queue - javax.jms.Topic
`protected void` | `initPostConstruct(XmlParser.Node node)` Process <post-construct>
`protected void` | `initPreDestroy(XmlParser.Node node)` Process <pre-destroy>
`protected void` | `initResourceEnvRef(XmlParser.Node node)` Common Annotations Spec section 2.3: resource-env-ref is for: - javax.transaction.UserTransaction - javax.resource.cci.InteractionSpec - anything else that is not a connection factory
`protected void` | `initResourceRef(XmlParser.Node node)` Common Annotations Spec section 2.3: resource-ref is for: - javax.sql.DataSource - javax.jms.ConnectionFactory - javax.jms.QueueConnectionFactory - javax.jms.TopicConnectionFactory - javax.mail.Session - java.net.URL - javax.resource.cci.ConnectionFactory - org.omg.CORBA_2_3.ORB - any other connection factory defined by a resource adapter
`protected void` | `initWebXmlElement(java.lang.String element, XmlParser.Node node)` Handle web.xml element.
`protected void` | `injectAndCallPostConstructCallbacks()`
`protected abstract void` | `parseAnnotations()` Parse all classes that are mentioned in web.xml (servlets, filters, listeners) for annotations.
`void` | `setWebAppContext(WebAppContext context)` Set up a context on which to perform the configuration.

Methods inherited from class org.mortbay.jetty.webapp.WebXmlConfiguration
`configureClassLoader, findWebXml, getJSPServletName, getWebAppContext, initContextParam, initDisplayName, initDistributable, initErrorPage, initFilter, initFilterMapping, initJspConfig, initListener, initLocaleEncodingList, initLoginConfig, initMimeConfig, initSecurityConstraint, initSecurityRole, initServlet, initServletMapping, initSessionConfig, initTagLib, initWelcomeFileList, newListenerInstance, normalizePattern, webXmlParser`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _callbacks

    protected LifeCycleCallbackCollection _callbacks

### _injections

    protected InjectionCollection _injections

### _runAsCollection

    protected RunAsCollection _runAsCollection

Constructor Detail

### AbstractConfiguration

    public AbstractConfiguration()

Method Detail

### bindEnvEntry

    public abstract void bindEnvEntry(java.lang.String name,
                                      java.lang.Object value)
                               throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### bindResourceRef

    public abstract void bindResourceRef(java.lang.String name,
                                         java.lang.Class type)
                                  throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### bindResourceEnvRef

    public abstract void bindResourceEnvRef(java.lang.String name,
                                            java.lang.Class type)
                                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### bindUserTransaction

    public abstract void bindUserTransaction()
                                      throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### bindMessageDestinationRef

    public abstract void bindMessageDestinationRef(java.lang.String name,
                                                   java.lang.Class type)
                                            throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### setWebAppContext

    public void setWebAppContext(WebAppContext context)

  Description copied from interface: `Configuration`
  Set up a context on which to perform the configuration.

  Specified by:
    `setWebAppContext` in interface `Configuration`
  Overrides:
    `setWebAppContext` in class `WebXmlConfiguration`

### configureDefaults

    public void configureDefaults()
                           throws java.lang.Exception

  Description copied from interface: `Configuration`
  Configure Defaults. This method is called to intialize the context to the containers default configuration. Typically this would mean application of the webdefault.xml file.

  Specified by:
    `configureDefaults` in interface `Configuration`
  Overrides:
    `configureDefaults` in class `WebXmlConfiguration`
  Throws:
    `java.lang.Exception`

### configureWebApp

    public void configureWebApp()
                         throws java.lang.Exception

  Description copied from interface: `Configuration`
  Configure WebApp. This method is called to apply the standard and vendor deployment descriptors. Typically this is web.xml and jetty-web.xml.

  Specified by:
    `configureWebApp` in interface `Configuration`
  Overrides:
    `configureWebApp` in class `WebXmlConfiguration`
  Throws:
    `java.lang.Exception`

### deconfigureWebApp

    public void deconfigureWebApp()
                           throws java.lang.Exception

  Description copied from interface: `Configuration`
  DeConfigure WebApp. This method is called to undo all configuration done to this webapphandler. This is called to allow the context to work correctly over a stop/start cycle

  Specified by:
    `deconfigureWebApp` in interface `Configuration`
  Overrides:
    `deconfigureWebApp` in class `WebXmlConfiguration`
  Throws:
    `java.lang.Exception`

### configure

    public void configure(java.lang.String webXml)
                   throws java.lang.Exception

  Overrides:
    `configure` in class `WebXmlConfiguration`
  Throws:
    `java.lang.Exception`

### initialize

    protected void initialize(XmlParser.Node config)
                       throws java.lang.ClassNotFoundException,
                              javax.servlet.UnavailableException

  Overrides:
    `initialize` in class `WebXmlConfiguration`
  Throws:
    `java.lang.ClassNotFoundException`
    `javax.servlet.UnavailableException`

### initWebXmlElement

    protected void initWebXmlElement(java.lang.String element,
                                     XmlParser.Node node)
                              throws java.lang.Exception

  Description copied from class: `WebXmlConfiguration`
  Handle web.xml element. This method is called for each top level element within the web.xml file. It may be specialized by derived WebAppHandlers to provide additional configuration and handling.

  Overrides:
    `initWebXmlElement` in class `WebXmlConfiguration`
  Parameters:
    `element` - The element name
    `node` - The node containing the element.
  Throws:
    `java.lang.Exception`

### initEnvEntry

    protected void initEnvEntry(XmlParser.Node node)
                         throws java.lang.Exception

  JavaEE 5.4.1.3

  Parameters:
    `node` -
  Throws:
    `java.lang.Exception`

### initResourceRef

    protected void initResourceRef(XmlParser.Node node)
                            throws java.lang.Exception

  Common Annotations Spec section 2.3: resource-ref is for: - javax.sql.DataSource - javax.jms.ConnectionFactory - javax.jms.QueueConnectionFactory - javax.jms.TopicConnectionFactory - javax.mail.Session - java.net.URL - javax.resource.cci.ConnectionFactory - org.omg.CORBA_2_3.ORB - any other connection factory defined by a resource adapter

  Parameters:
    `node` -
  Throws:
    `java.lang.Exception`

### initResourceEnvRef

    protected void initResourceEnvRef(XmlParser.Node node)
                               throws java.lang.Exception

  Common Annotations Spec section 2.3: resource-env-ref is for: - javax.transaction.UserTransaction - javax.resource.cci.InteractionSpec - anything else that is not a connection factory

  Parameters:
    `node` -
  Throws:
    `java.lang.Exception`

### initMessageDestinationRef

    protected void initMessageDestinationRef(XmlParser.Node node)
                                      throws java.lang.Exception

  Common Annotations Spec section 2.3: message-destination-ref is for: - javax.jms.Queue - javax.jms.Topic

  Parameters:
    `node` -
  Throws:
    `java.lang.Exception`

### initPostConstruct

    protected void initPostConstruct(XmlParser.Node node)

  Process <post-construct>

  Parameters:
    `node` -

### initPreDestroy

    protected void initPreDestroy(XmlParser.Node node)

  Process <pre-destroy>

  Parameters:
    `node` -

### initInjection

    protected void initInjection(XmlParser.Node node,
                                 java.lang.String jndiName,
                                 java.lang.Class valueClass)

  Iterate over the <injection-target> entries for a node

  Parameters:
    `node` -
    `jndiName` -
    `valueClass` -

### parseAnnotations

    protected abstract void parseAnnotations()
                                      throws java.lang.Exception

  Parse all classes that are mentioned in web.xml (servlets, filters, listeners) for annotations.

  Throws:
    `java.lang.Exception`

### injectAndCallPostConstructCallbacks

    protected void injectAndCallPostConstructCallbacks()
                                                throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### callPreDestroyCallbacks

    protected void callPreDestroyCallbacks()
                                    throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.